## ros-indigo-ros-ethercat-model 0.3.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(ros_ethercat_model)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
    roscpp
    hardware_interface
    pluginlib
    urdf
    kdl_parser
    pr2_mechanism_msgs
    cmake_modules
)

find_package(Boost REQUIRED COMPONENTS system thread)
find_package(TinyXML REQUIRED)

include_directories(include
    ${Boost_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${TinyXML_INCLUDE_DIRS})

catkin_package(
DEPENDS
    tinyxml
    urdfdom
    Boost
CATKIN_DEPENDS
    roscpp
    hardware_interface
    pluginlib
    urdf
    kdl_parser
    pr2_mechanism_msgs
INCLUDE_DIRS
    include
CFG_EXTRAS
    ${PROJECT_NAME}-extras.cmake
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS scripts/${PROJECT_NAME}/calibrate
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-ros-ethercat-model (0.3.0-0trusty) trusty; urgency=high

  * checking type as an element as well as attribute, for new transmission style
  * ignore transmissions with no type instead of crashing

 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 19 Jul 2015 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.2.0-0trusty) trusty; urgency=high

  * Added shutdown-timeout=1.0 to improve controller shutdown time
  * Check if a port has been defined before starting EtherCAT
  * Check if an ethercat port has been defined
  * Fix wait for calibration problem
  * Add cmake function to enable rpath
  * bug fixes in initialization
  * added and registered JointCommandInterfaces
  * added install directives

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.8-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.7-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.6-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.5-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 13 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.4-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 13 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.3-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 12 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.2-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 12 May 2014 21:00:00 -0000

ros-indigo-ros-ethercat-model (0.1.1-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 11 May 2014 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-ros-ethercat-model
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-hardware-interface, ros-indigo-joint-state-controller, ros-indigo-kdl-parser, ros-indigo-pluginlib, ros-indigo-pr2-mechanism-msgs, ros-indigo-roscpp, ros-indigo-urdf
Homepage: http://www.shadowrobot.com/
Standards-Version: 3.9.2

Package: ros-indigo-ros-ethercat-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-hardware-interface, ros-indigo-joint-state-controller, ros-indigo-kdl-parser, ros-indigo-pluginlib, ros-indigo-pr2-mechanism-msgs, ros-indigo-roscpp, ros-indigo-urdf
Description: The mechanism model

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ros-ethercat-model//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
